using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje1
{
    class Program
    {
        static void Main(string[] args)
        {
            Int64 N = Int64.Parse(Console.ReadLine());
            Int64 brojCifara = N.ToString().Length;
            Int64[] cifre = new Int64[brojCifara];
            string stringN = N.ToString();
            for (int i = 0; i < brojCifara; i++)
            {
                cifre[i] = stringN[i];
            }
            Int64 index = -1;
            Int64 indexKraja = -1;
            Int64 razmak = Int64.MaxValue;
            Int64 vrednost = -1;
            for (Int64 i = 0; i < brojCifara; i++)
            {
                for(Int64 j = i + 1; j < brojCifara - 1; j++)
                {
                    if(cifre[i] == cifre[j] && j - i < razmak)
                    {
                        index = i;
                        indexKraja = j;
                        razmak = j - i;
                        vrednost = cifre[i];
                    }
                }
            }
            int brojac = 0;
            for (Int64 i = index; i < indexKraja + 1; i++)
            {
                if (cifre[i] != vrednost)
                {
                    cifre[i] = vrednost;
                    brojac++;
                }
                else
                {
                    cifre[i - 1] = vrednost;
                    brojac++;
                    break;
                }
            }
            Console.WriteLine(brojac);
        }
    }
}